/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.api.test;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.service.sysmgr.dto.sysmgr.ValueReq;
import com.crunii.micro.service.sysmgr.service.PropertyService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author 田平 create 2019年6月5日上午10:16:09
 */
public class PropertyServiceTest extends SysmgrBaseTest {

	@Autowired
	private PropertyService propertyService;


	@Test
	public void testPageValue(){
		PageReq<ValueReq> req=new PageReq<>() ;
		ValueReq valueReq =new ValueReq() ;
		valueReq.setPropCode("WorkerState");
		req.setQuery(valueReq);

		propertyService.pageValue(req).getResult().forEach(System.out::println);
	}


}
